Index: trunk/gsdl3/README.txt
===================================================================
--- trunk/gsdl3/README.txt	(revision 10702)
+++ trunk/gsdl3/README.txt	(revision 10703)
@@ -6,8 +6,8 @@
 You will need Java and Ant to run Greenstone 3. 
 
-Your Java version should be 1.4 or higher. We recommend Sun Java. If you are installing from a binary distribution, you will only need the JRE (Runtime environment). If you are installing from CVS, you will need the SDK (Development environment). 
+Your Java version should be 1.4 or higher. We recommend Sun Java. If you are installing Greenstone from a binary distribution, you will only need the JRE (Runtime environment). If you are installing Greenstone from CVS, you will need the SDK (Development environment). 
 Set the environment variable JAVA_HOME to be the root of your Java installation.
 
-Ant (Apache's Java based build tool, http://ant.apache.org) can be downloaded from http://ant.apache.org/bindownload.cgi. Set the environment variable ANT_HOME to be the root of your Ant installation, and make sure the Ant executables are on your PATH.
+Ant (Apache's Java based build tool) can be downloaded from http://ant.apache.org/bindownload.cgi. Set the environment variable ANT_HOME to be the root of your Ant installation, and make sure the Ant executables are on your PATH.
 
 In the gsdl3 directory, you can run 'ant' which will give you a help message.
@@ -18,5 +18,5 @@
 ---------------------------------------------------------
 
-Download the appropriate zip file (gsdl3-x.xx-linux.zip/gsdl3-x.xx-win32.zip/gsdl3-x.xx-macOSX.zip), and unzip it. In the gsdl3 directory, edit the build.properties file if appropriate (see 'Configuring your installation' below), and run 'ant install'.
+Download the appropriate zip/tar file (gsdl3-x.xx-linux.tar.gz/gsdl3-x.xx-win32.zip/gsdl3-x.xx-macOSX.tar.gz), and unzip/untar it. In the gsdl3 directory, edit the build.properties file if appropriate (see 'Configuring your installation' below), and run 'ant install'.
 
 Installing Greenstone from a CVS checkout (Linux/Windows/MacOS X):
@@ -35,4 +35,6 @@
 The 'prepare' target will download additional code (using CVS and http), so you need to be online to run it. The 'install' target can be run offline.
 
+Mac OS X: If you want to do Greenstone 2 style collection building, you need to have GDBM installed (http://www.gnu.org/software/gdbm/gdbm.html). Please set the gdbm.installed.path property (in build.properties) to the root of your gdbm installation if it is not installed in a default place. If you run GLI or GS2 collection building from the command line, you will need to set the DYLD_LIBRARY_PATH environment variable to include <path-to-gdbm>/lib.
+
 Configuring your installation:
 ------------------------------------
@@ -40,9 +42,9 @@
 The file build.properties contains various parameters that can be set by the user. Please check these settings before running the install.
 
-Greenstone 3 uses the Tomcat servlet container. If you already have Tomcat running, you can set the 'tomcat.installed.path' property to the base directory of your Tomcat installation, and Greenstone will not download/install its own Tomcat. Please read the section "Using External Tomcat" for details about how to configure Tomcat for Greenstone.
-
-Greenstone 3 uses mysql for the collection database (with Greenstone 3 native building). If you already have mysql installed, set the 'mysql.installed.path' property to the base directory of your mysql installation, and Greenstone will not download/install mysql. Please read the section "Using external mysql server" for details about how to configure mysql for Greenstone.
-
-Greenstone 3 uses some parts of Greenstone 2 for collection building using the Librarian Interface. These will be installed during the Greenstone 3 installation process. If you have Greenstone 2 already installed and want to use that version instead, please set the gsdl2.installed.path property to be the root of your Greenstone 2 installation. Greenstone 3 will then use this installation rather than its own bits. (Note, be careful about compatibility between versions.) If you are using Greenstone 3 from CVS, and don't want to download the Greenstone 2 stuff, set the gsdl2.installed.path to any non-empty string.
+Greenstone 3 uses the Tomcat servlet container. If you already have Tomcat running, you can set the 'tomcat.installed.path' property (in build.properties) to the base directory of your Tomcat installation, and Greenstone will not download/install its own Tomcat. Please read the section "Using External Tomcat" for details about how to configure Tomcat for Greenstone.
+
+Greenstone 3 uses mysql for the collection database (with Greenstone 3 native building). If you already have mysql installed, set the 'mysql.installed.path' property (in build.properties) to the base directory of your mysql installation, and Greenstone will not download/install mysql. Please read the section "Using external mysql server" for details about how to configure mysql for Greenstone.
+
+Greenstone 3 uses some parts of Greenstone 2 for collection building using the Librarian Interface. These will be installed during the Greenstone 3 installation process. If you have Greenstone 2 already installed and want to use that version instead, please set the gsdl2.installed.path property (in build.properties) to be the root of your Greenstone 2 installation. Greenstone 3 will then use this installation rather than its own bits. (Note, be careful about compatibility between versions.) If you are using Greenstone 3 from CVS, and don't want to download the Greenstone 2 stuff, set the gsdl2.installed.path to any non-empty string.
 
 The prepare/install target will ask you if you accept the properties before starting.
@@ -57,5 +59,5 @@
 The compile target, under Linux, does Java and C/C++ compilation. For Windows, since Visual Studio is not a standard component, only Java compilation is carried out. Pre-compiled binaries are provided for the C/C++ components (packages and Greenstone 2 style building). If you have Visual Studio installed (version 6), you can run the compile-windows-c++ targets to compile the code locally. (Don't forget to setup the Visual Studio environment first, by running, e.g. C:/Program Files/Microsoft Visual Studio/VC98/Bin/VCVARS32.BAT or equivalent.)
 
-Common install/update targets.
+Common install/update targets (for use with Greenstone out of CVS).
 -------------------------------
 1. Install for the first time from CVS: