Index: trunk/gsdl3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml
===================================================================
--- trunk/gsdl3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 10784)
+++ trunk/gsdl3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 10785)
@@ -1,99 +1,51 @@
-<collectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-><metadataList
-><metadata name="creator"
->greenstone@cs.waikato.ac.nz</metadata
-></metadataList
-><displayItemList
-><displayItem name="description" lang="ru"
->Ð­ÑÐŸ - ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÐŸÐœÐœÐ°Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐœÐŸÐ³ÐŸ ÐŸÐ±ÐµÑÐ¿ÐµÑÐµÐœÐžÑ ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Greenstone. ÐÐœÐ° ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÐœÐµÐ±ÐŸÐ»ÑÑÐŸÐ¹ Ð¿ÐŸÐŽÐœÐ°Ð±ÐŸÑ (11 ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²) ÐÑÐŒÐ°ÐœÐžÑÐ°ÑÐœÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Ðž ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž ÑÐ°Ð·Ð²ÐžÑÐžÑ.</displayItem
-><displayItem name="description" lang="en"
->This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is a Greenstone2 collection, built with MG. The Greenstone2 configuration files have been converted to Greenstone3 equivalents, enabling it to be served using Greenstone3.</displayItem
-><displayItem name="description" lang="hy"
->ÕÕ¡ Ô³ÖÕ«Õ¶ÕœÕ©ÕžÕžÖÕ¶ Õ©ÕŸÕ¡ÕµÕ«Õ¶ Õ£ÖÕ¡Õ€Õ¡ÖÕ¡Õ¶Õ« ÖÕžÖÖÕ¡Õ€ÖÕ¡Õ¯Õ¡Õ¶ Õ¶ÕŽÕžÖÕ· Õ§Ö Ô±ÕµÕ¶ ÕºÕ¡ÖÕžÖÕ¶Õ¡Õ¯ÕžÖÕŽ Õ§ Õ°Õ¡ÕœÕ¡ÖÕ¡Õ¯Õ¡Õ£Õ«Õ¿Õ¡Õ¯Õ¡Õ¶ Ö ÕŠÕ¡ÖÕ£Õ¡ÖÕŽÕ¡Õ¶ Õ¢Õ¶Õ¡Õ£Õ¡ÕŸÕ¡ÕŒÕ¶Õ¥ÖÕ« 11 ÖÕ¡ÕœÕ¿Õ¡Õ©Õ²Õ©Õ¥ÖÕ« Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖ</displayItem
-><displayItem name="description" lang="fr"
->Il s\'agit d\'une collection de dÃ©monstration pour le logiciel Greenstone. Elle contient seulement un petit Ã©chantillon des BibliothÃšques humanitaires pour le DÃ©veloppement (11 documents).</displayItem
-><displayItem name="description" lang="es"
->Esta es una colecciÃ³n de demostraciÃ³n del programa Greenstone. Contiene un pequeÃ±o subconjunto (11 documentos) de las Bibliotecas Humanitarias para el Desarrollo.</displayItem
-><displayItem name="description" lang="fi"
->TÃ€mÃ€ on esimerkkikokoelma, joka on tehty Greenstone digitaalisen kirjaston ohjelmistoa varten. Se sisÃ€ltÃ€Ã€ osan (11 dokumenttia) HumanitÃ€Ã€risestÃ€ kirjastosta ja KehitystyÃ¶kirjastosta.</displayItem
-><displayItem name="name" lang="ru"
->ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ Ð¿ÑÐžÐŒÐµÑ Greenstone</displayItem
-><displayItem name="name" lang="en"
->Greenstone2 MG demo collection</displayItem
-><displayItem name="name" lang="fr"
->DÃ©mo Greenstone</displayItem
-><displayItem name="name" lang="es"
->ColecciÃ³n de muestra Greenstone</displayItem
-><displayItem name="icon" lang="en"
->gs2mgdemo.gif</displayItem
-><displayItem name="smallicon" lang="en"
->gs2mgdemo_sm.gif</displayItem
-></displayItemList
-><search
-><index name="dtx"
-><displayItem name="name" lang="ru"
->ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ</displayItem
-><displayItem name="name" lang="en"
->entire documents</displayItem
-><displayItem name="name" lang="hy"
->ÕžÕ²Õ» ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš</displayItem
-><displayItem name="name" lang="fr"
->documents entiers</displayItem
-><displayItem name="name" lang="es"
->documentos enteros</displayItem
-><displayItem name="name" lang="fi"
->koko dokumentteja</displayItem
-></index
-><index name="stt"
-><displayItem name="name" lang="ru"
->ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²</displayItem
-><displayItem name="name" lang="en"
->section titles</displayItem
-><displayItem name="name" lang="hy"
->Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥ÖÕ« ÕŸÕ¥ÖÕ¶Õ¡Õ£ÖÕ¥Ö</displayItem
-><displayItem name="name" lang="fr"
->titres des sections</displayItem
-><displayItem name="name" lang="es"
->tÃ­tulos de las secciones</displayItem
-><displayItem name="name" lang="fi"
->osien otsakkeita</displayItem
-></index
-><index name="stx"
-><displayItem name="name" lang="ru"
->ÐÐ»Ð°Ð²Ñ</displayItem
-><displayItem name="name" lang="en"
->chapters</displayItem
-><displayItem name="name" lang="hy"
->Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥Ö</displayItem
-><displayItem name="name" lang="fr"
->chapitres</displayItem
-><displayItem name="name" lang="es"
->capÃ­tulos</displayItem
-><displayItem name="name" lang="fi"
->kappaleita</displayItem
-></index
-><format
-><gsf:template match="documentNode"
-><td valign='top'><gsf:link type='document'><gsf:icon type='document'/></gsf:link></td><td><gsf:switch><gsf:metadata name='Title' select='ancestors' separator=': ' /><gsf:when test='exists' ><gsf:metadata name='Title' select='ancestors' separator=': ' />:</gsf:when></gsf:switch><gsf:link type='document'><gsf:metadata name='Title' /></gsf:link></td></gsf:template
-></format
-></search
-><browse
-><format
-><gsf:template match="documentNode"
-><td valign='top'><gsf:link type='document'><gsf:icon type='document'/></gsf:link></td><td valign='top'><gsf:choose-metadata><gsf:metadata name='Title' /><gsf:default>Untitled</gsf:default></gsf:choose-metadata><i><small><gsf:switch><gsf:metadata name='Date' /><gsf:when test='exists' ><br />Date: <gsf:metadata name='Date' /></gsf:when></gsf:switch><gsf:switch><gsf:metadata name='NumPages' /><gsf:when test='exists' ><br />Num Pages: <gsf:metadata name='NumPages' /></gsf:when></gsf:switch><gsf:switch><gsf:metadata name='Source' /><gsf:when test='exists' ><br />Source: <gsf:metadata name='Source' /></gsf:when></gsf:switch></small></i></td></gsf:template
-><gsf:template match="classifierNode"
-><td valign='top'><gsf:link type='classifier'><gsf:icon type='classifier'/></gsf:link></td><td valign='top'><gsf:choose-metadata><gsf:metadata name='Title' /><gsf:default>Untitled</gsf:default></gsf:choose-metadata><i><small><gsf:switch><gsf:metadata name='Date' /><gsf:when test='exists' ><br />Date: <gsf:metadata name='Date' /></gsf:when></gsf:switch><gsf:switch><gsf:metadata name='NumPages' /><gsf:when test='exists' ><br />Num Pages: <gsf:metadata name='NumPages' /></gsf:when></gsf:switch><gsf:switch><gsf:metadata name='Source' /><gsf:when test='exists' ><br />Source: <gsf:metadata name='Source' /></gsf:when></gsf:switch></small></i></td></gsf:template
-><gsf:template match="classifierNode" mode="horizontal"
-><gsf:link type='horizontal'><gsf:choose-metadata><gsf:metadata name='dls.Title' /><gsf:metadata name='dc.Title' /><gsf:metadata name='Title' /><gsf:default>Untitled</gsf:default></gsf:choose-metadata></gsf:link></gsf:template
-></format
-><classifier name="CL1"
-></classifier
-><classifier name="CL2"
-></classifier
-><classifier name="CL3"
-></classifier
-><classifier name="CL4"
-></classifier
-></browse
-></collectionConfig
->
+<collectionConfig 
+  xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" 
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+  <metadataList>
+    <metadata name="creator">greenstone@cs.waikato.ac.nz</metadata>
+  </metadataList>
+  <displayItemList>
+    <displayItem name='name' lang='en'>Greenstone2 MG demo collection</displayItem>
+    <displayItem name='description' lang='en'>This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is a Greenstone2 collection, built with MG. The Greenstone2 configuration files have been converted to Greenstone3 equivalents, enabling it to be served using Greenstone3. </displayItem>
+    <displayItem name="smallicon" lang="en">gs2mgdemo_sm.gif</displayItem>
+    <displayItem name="icon" lang="en">gs2mgdemo.gif</displayItem>
+  </displayItemList>
+  <search>
+    <index name="dtx">
+      <displayItem name="name" lang="ru">ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ</displayItem>
+      <displayItem name="name" lang="en">entire documents</displayItem>
+      <displayItem name="name" lang="hy">ÕžÕ²Õ» ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš</displayItem>
+      <displayItem name="name" lang="fr">documents entiers</displayItem>
+      <displayItem name="name" lang="es">documentos enteros</displayItem>
+      <displayItem name="name" lang="fi">koko dokumentteja</displayItem>
+    </index>
+    <index name="stt">
+      <displayItem name="name" lang="ru">ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²</displayItem>
+      <displayItem name="name" lang="en">section titles</displayItem>
+      <displayItem name="name" lang="hy">Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥ÖÕ« ÕŸÕ¥ÖÕ¶Õ¡Õ£ÖÕ¥Ö</displayItem>
+      <displayItem name="name" lang="fr">titres des sections</displayItem>
+      <displayItem name="name" lang="es">tÃ­tulos de las secciones</displayItem>
+      <displayItem name="name" lang="fi">osien otsakkeita</displayItem>
+    </index>
+    <index name="stx">
+      <displayItem name="name" lang="ru">ÐÐ»Ð°Ð²Ñ</displayItem>
+      <displayItem name="name" lang="en">chapters</displayItem>
+      <displayItem name="name" lang="hy">Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥Ö</displayItem>
+      <displayItem name="name" lang="fr">chapitres</displayItem>
+      <displayItem name="name" lang="es">capÃ­tulos</displayItem>
+      <displayItem name="name" lang="fi">kappaleita</displayItem>
+    </index>
+    <format>
+      <gsf:template match="documentNode">
+	<td valign='top'><gsf:link><gsf:icon/></gsf:link></td>
+	<td><gsf:switch><gsf:metadata name='Title' select='ancestors' separator=': '/><gsf:when test='exists'><gsf:metadata name='Title' select='ancestors' separator=': '/>: </gsf:when></gsf:switch><gsf:link><gsf:metadata name='Title' /></gsf:link></td>
+      </gsf:template>
+    </format>
+  </search>
+  <browse>
+    <classifier name="CL1"/>
+    <classifier name="CL2"/>
+    <classifier name="CL3"/>
+    <classifier name="CL4"/>
+  </browse>
+</collectionConfig>