Index: branches/ant-install-branch/gsdl3/src/java/org/greenstone/core/Dictionary.java
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/org/greenstone/core/Dictionary.java	(revision 10794)
+++ branches/ant-install-branch/gsdl3/src/java/org/greenstone/core/Dictionary.java	(revision 10795)
@@ -44,5 +44,5 @@
 import javax.swing.text.*;
 import javax.swing.tree.*;
-import org.greenstone.core.util.Utility;
+//import org.greenstone.core.util.Utility;
 
 /** Extends the ResourceBundle class to allow for the automatic insertion of arguments.<BR>
@@ -57,9 +57,13 @@
  * SString  ::= String . ['"','#',...] -> ['\"','\#',...] <BR>
  * <BR>
- * In order to add a new dictionary Locale, simply copy the existing dictionary.properties files, replace the values (Strings after the ':') with the new language specific ones being careful to maintain formatting and Gatherer placed arguments, then save the new dictionary as: <br>
+ * In order to add a new dictionary Locale, simply copy the existing dictionary.properties files,
+ * replace the values (Strings after the ':') with the new language specific ones being careful to 
+ * maintain formatting and Gatherer placed arguments, then save the new dictionary as: <br>
  * <BR>
  * dictionary_<I>locale</I>.properties<BR>
  * <BR>
- * where locale is made of two two-letter codes seperated by an underscore. The first code is in lower-case and defines the language. The second is in upper-case and defines the country. For example the default dictionary could also correctly be called:
+ * where locale is made of two two-letter codes seperated by an underscore. The first code is in 
+ * lower-case and defines the language. The second is in upper-case and defines the country. For example 
+ * the default dictionary could also correctly be called:
  * <BR>
  * dictionary_en_NZ.properties<BR>
@@ -87,4 +91,7 @@
 	this.locale = ((locale == null) ? Locale.getDefault() : locale);
 	this.dictionary = ResourceBundle.getBundle("dictionary", this.locale);
+	if (this.dictionary==null) {
+	    System.err.println("dictionary is null");
+	}
     }
 
@@ -113,12 +120,20 @@
 
 
-    /** Used to retrieve a property value from the Locale specific ResourceBundle, based upon the key and arguments supplied. If the key cannot be found or if some other part of the call fails a default (English) error message is returned. <BR>
-     * Here the get recieves a second argument which is an array of Strings used to populate argument fields, denoted {<I>n</I>}, within the value String returned.
+    /**Used to retrieve a property value from the Locale specific ResourceBundle, based upon 
+     * the key and arguments supplied. If the key cannot be found or if some other part of the 
+     * call fails a default (English) error message is returned. <BR>
+     * Here the get recieves a second argument which is an array of Strings used to populate 
+     * argument fields, denoted {<I>n</I>}, within the value String returned.
      * @param key A <strong>String</strong> which is mapped to a initial String within the ResourceBundle.
      * @param args A <strong>String[]</strong> used to populate argument fields within the complete String.
-     * @return A <strong>String</strong> which has been referenced by the key String and that either contains no argument fields, or has had the argument fields automatiically populated with formatting Strings of with argument String provided in the get call.
+     * @return A <strong>String</strong> which has been referenced by the key String and that either contains 
+     * no argument fields, or has had the argument fields automatiically populated with formatting Strings 
+     * of with argument String provided in the get call.
      */
     static public String get(String key, String[] args)
-    {
+
+    {
+	//System.err.println("*** Dictionary get key:" +key);
+	//System.err.println("**** Locale:"+ dictionary.getBundle("dictionary"));
 	try {
 	    String initial_raw = dictionary.getString(key);
@@ -269,5 +284,4 @@
 	private String text = null;
 	private String tooltip = null;
-
 
 	public ComponentUpdateTask(Component component, String text, String tooltip)