Index: trunk/gsdl3/web/sites/localsite/collect/gs2mgdemo/etc/collect.cfg
===================================================================
--- trunk/gsdl3/web/sites/localsite/collect/gs2mgdemo/etc/collect.cfg	(revision 10842)
+++ trunk/gsdl3/web/sites/localsite/collect/gs2mgdemo/etc/collect.cfg	(revision 10843)
@@ -3,27 +3,19 @@
 public		true
 
-beta		false
-
 indexes		section:text section:Title document:text
 
 plugin		GAPlug
-plugin		HTMLPlug -description_tags
+plugin		HTMLPlug -description_tags 
 plugin		ArcPlug 
 plugin		RecPlug -use_metadata_files 
 
-classify	Hierarchy -metadata dls.Subject -sort dls.Title -buttonname Subject -hfile dls.Subject.txt
-classify	Hierarchy -hlist_at_top -metadata dls.AZList -sort dls.Title -buttonname Title -hfile dls.AZList.txt
-classify	Hierarchy -metadata dls.Organization -sort dls.Title -buttonname Organization -hfile dls.Organization.txt
-classify	Hierarchy -metadata dls.Keyword -sort dls.Title -buttonname Howto -hfile dls.Keyword.txt
-
-# To build this collection using the List clasifier for the Howto
-# listing (as shown in the Greenstone Developer's Guide) you should
-# uncomment the following two lines and comment out the line above
-# before rebuilding.
-#classify      List -metadata dls.Keyword -buttonname Howto
-#format        CL4VList     "<br>[link][dls.Keyword][/link]"
+classify	Hierarchy -metadata dls.Subject -sort dls.Title -buttonname Subject  
+classify	AZList -metadata dls.Title 
+classify	AZCompactList -metadata dls.Organization -sort dls.Title -buttonname Organization 
+classify      List -metadata dls.Keyword -buttonname Howto
 
 format SearchVList "<td valign=top>[link][icon][/link]</td><td>{If}{[parent(All\': \'):Title],[parent(All\': \'):Title]:}[link][Title][/link]</td>"
-format VList "<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[Title],Untitled}[/highlight]<i><small>{If}{[Date],<br>Date: [Date]}{If}{[NumPages],<br>Num Pages: [NumPages]}{If}{[Source],<br>Source: [Source]}</small></i></td>"
+
+format        CL4VList     "<br>[link][dls.Keyword][/link]"
 
 format DocumentText "<h3>[Title]</h3>\\n\\n<p>[Text]"
@@ -31,12 +23,6 @@
 format DocumentButtons "Expand Text|Expand Contents|Detach|Highlight"
 
-format DateList "<td>[link][icon][/link]</td><td>[highlight]{Or}{[dls.Title],[dc.Title],[Title],Untitled}[/highlight]</td><td>[Date]</td>"
-
-format HList "[link][highlight]{Or}{[dls.Title],[dc.Title],[Title],Untitled}[/highlight][/link]"
-
-
 collectionmeta	iconcollectionsmall [l=en] "_httpprefix_/collect/gs2mgdemo/images/gs2mgdemo_sm.gif"
 collectionmeta	iconcollection [l=en] "_httpprefix_/collect/gs2mgdemo/images/gs2mgdemo.gif"
-
 
 # -- English strings ----------------
@@ -49,7 +35,4 @@
 
 # -- French strings ----------------
-collectionmeta	collectionname [l=fr] "DÃ©mo Greenstone"
-collectionmeta	collectionextra [l=fr] "Il s\'agit d\'une collection de dÃ©monstration pour le logiciel Greenstone. Elle contient seulement un petit Ã©chantillon des BibliothÃšques humanitaires pour le DÃ©veloppement (11 documents)."
-
 collectionmeta	.section:text [l=fr] "chapitres"
 collectionmeta	.section:Title [l=fr] "titres des sections"
@@ -57,7 +40,4 @@
 
 # -- Spanish strings ----------------
-collectionmeta	collectionname [l=es] "ColecciÃ³n de muestra Greenstone"
-collectionmeta	collectionextra [l=es] "Esta es una colecciÃ³n de demostraciÃ³n del programa Greenstone. Contiene un pequeÃ±o subconjunto (11 documentos) de las Bibliotecas Humanitarias para el Desarrollo."
-
 collectionmeta	.section:text [l=es] "capÃ­tulos"
 collectionmeta	.section:Title [l=es] "tÃ­tulos de las secciones"
@@ -65,22 +45,7 @@
 
 # -- Russian strings ----------------
-collectionmeta	collectionname [l=ru] "ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ Ð¿ÑÐžÐŒÐµÑ Greenstone"
-collectionmeta	collectionextra [l=ru] "Ð­ÑÐŸ - ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÐŸÐœÐœÐ°Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐœÐŸÐ³ÐŸ ÐŸÐ±ÐµÑÐ¿ÐµÑÐµÐœÐžÑ ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Greenstone. ÐÐœÐ° ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÐœÐµÐ±ÐŸÐ»ÑÑÐŸÐ¹ Ð¿ÐŸÐŽÐœÐ°Ð±ÐŸÑ (11 ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²) ÐÑÐŒÐ°ÐœÐžÑÐ°ÑÐœÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Ðž ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž ÑÐ°Ð·Ð²ÐžÑÐžÑ."
-
 collectionmeta	.section:text [l=ru] "ÐÐ»Ð°Ð²Ñ"
 collectionmeta	.section:Title [l=ru] "ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²"
 collectionmeta	.document:text [l=ru] "ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ"
 
-# -- Armenian strings ----------------
-collectionmeta	collectionextra [l=hy] "ÕÕ¡ Ô³ÖÕ«Õ¶ÕœÕ©ÕžÕžÖÕ¶ Õ©ÕŸÕ¡ÕµÕ«Õ¶ Õ£ÖÕ¡Õ€Õ¡ÖÕ¡Õ¶Õ« ÖÕžÖÖÕ¡Õ€ÖÕ¡Õ¯Õ¡Õ¶ Õ¶ÕŽÕžÖÕ· Õ§Ö Ô±ÕµÕ¶ ÕºÕ¡ÖÕžÖÕ¶Õ¡Õ¯ÕžÖÕŽ Õ§ Õ°Õ¡ÕœÕ¡ÖÕ¡Õ¯Õ¡Õ£Õ«Õ¿Õ¡Õ¯Õ¡Õ¶ Ö ÕŠÕ¡ÖÕ£Õ¡ÖÕŽÕ¡Õ¶ Õ¢Õ¶Õ¡Õ£Õ¡ÕŸÕ¡ÕŒÕ¶Õ¥ÖÕ« 11 ÖÕ¡ÕœÕ¿Õ¡Õ©Õ²Õ©Õ¥ÖÕ« Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖ"
 
-collectionmeta	.section:text [l=hy] "Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥Ö"
-collectionmeta	.section:Title [l=hy] "Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥ÖÕ« ÕŸÕ¥ÖÕ¶Õ¡Õ£ÖÕ¥Ö"
-collectionmeta	.document:text [l=hy] "ÕžÕ²Õ» ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš"
-
-# -- Finnish strings ----------------
-collectionmeta	collectionextra [l=fi] "TÃ€mÃ€ on esimerkkikokoelma, joka on tehty Greenstone digitaalisen kirjaston ohjelmistoa varten. Se sisÃ€ltÃ€Ã€ osan (11 dokumenttia) HumanitÃ€Ã€risestÃ€ kirjastosta ja KehitystyÃ¶kirjastosta."
-
-collectionmeta	.section:text [l=fi] "kappaleita"
-collectionmeta	.section:Title [l=fi] "osien otsakkeita"
-collectionmeta	.document:text [l=fi] "koko dokumentteja"
Index: trunk/gsdl3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml
===================================================================
--- trunk/gsdl3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 10842)
+++ trunk/gsdl3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 10843)
@@ -15,24 +15,18 @@
       <displayItem name="name" lang="ru">ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ</displayItem>
       <displayItem name="name" lang="en">entire documents</displayItem>
-      <displayItem name="name" lang="hy">ÕžÕ²Õ» ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš</displayItem>
       <displayItem name="name" lang="fr">documents entiers</displayItem>
       <displayItem name="name" lang="es">documentos enteros</displayItem>
-      <displayItem name="name" lang="fi">koko dokumentteja</displayItem>
     </index>
     <index name="stt">
       <displayItem name="name" lang="ru">ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²</displayItem>
       <displayItem name="name" lang="en">section titles</displayItem>
-      <displayItem name="name" lang="hy">Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥ÖÕ« ÕŸÕ¥ÖÕ¶Õ¡Õ£ÖÕ¥Ö</displayItem>
       <displayItem name="name" lang="fr">titres des sections</displayItem>
       <displayItem name="name" lang="es">tÃ­tulos de las secciones</displayItem>
-      <displayItem name="name" lang="fi">osien otsakkeita</displayItem>
     </index>
     <index name="stx">
       <displayItem name="name" lang="ru">ÐÐ»Ð°Ð²Ñ</displayItem>
       <displayItem name="name" lang="en">chapters</displayItem>
-      <displayItem name="name" lang="hy">Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥Ö</displayItem>
       <displayItem name="name" lang="fr">chapitres</displayItem>
       <displayItem name="name" lang="es">capÃ­tulos</displayItem>
-      <displayItem name="name" lang="fi">kappaleita</displayItem>
     </index>
     <format>
@@ -47,5 +41,11 @@
     <classifier name="CL2"/>
     <classifier name="CL3"/>
-    <classifier name="CL4"/>
+    <classifier name="CL4">
+      <format>
+	<gsf:template match="DocumentNode">
+	  <h3><gsf:metadata name="Title"/></h3>
+	  <p /><gsf:text/>
+	</gsf:template>
+      </format>
   </browse>
 </collectionConfig>